Subject: IAOC role

From: Brian E Carpenter <[email-masked]>
Date: Thu, 30 Nov 2017 11:02:56 +1300

Hi,

The IASA 2.0 effort is discussing the *future* of IASA and the IAOC.
That isn't my concern here, and there's a mailing list for it
(https://www.ietf.org/mailman/listinfo/iasa20).

What I'm concerned about is that fact that a couple of *current* IAOC
slots are up for appointment shortly (by NomCom and IESG respectively),
with several fine candidates in each case.

All I'm asking is that in their considerations, the appointing bodies
keep in mind the definition of the IAOC's role:

   The IAOC's role is to provide appropriate direction to the IAD, to
   review the IAD's regular reports, and to oversee IASA functions to
   ensure that the administrative needs of the IETF community are being
   properly met.  The IAOC's mission is not to be engaged in the day-
   to-day administrative work of the IASA, but rather to provide
   appropriate direction, oversight, and approval.
   (https://tools.ietf.org/html/rfc4071#section-3.2)
 
Regards
   Brian Carpenter

---

From: Michael Richardson <[email-masked]>
Date: Thu, 30 Nov 2017 11:45:18 -0500

> review the IAD's regular reports, and to oversee IASA functions to

1) do you believe that IAOC cmte have unreasonably expanded their scope?

2) despite this definition, a bunch of new things have shown up for the IAOC,
   and that now includes:
     * IETF Trust supervision
     * Tools cmte: managing contractors
     * something else I forgot.

Reading the reports from the IAD is still a major part; but some things have
devolved elsewhere.  Also the IAD doesn't necessarily have the right skill
set to figure out technical issues that come from contractors.
Also, financial repors, while puck-handled by the IAD have been provided by
an ISOC resource until September, and now are done by AMSL under contract.

So your advice that to pay attention to the IAD oversight misses the other
kinds of oversight that now also occurs.

{me: non-voting member of finance subcmte, nominee for IESG member.
Note: I've told the IESG that I won't be IAOC chair, and to pick someone else
if they need an IAOC chair}

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        | network architect  [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: Lou Berger <[email-masked]>
Date: Thu, 30 Nov 2017 11:55:17 -0500

>      * Tools cmte: managing contractors
FWIW the tools committee is an activity of the IESG not IAOC -- this was
clarified sometime in the last year or two. The Technology Management
Committee (https://iaoc.ietf.org/committees.html#TMC) is the IAOC sub
committee that manages the admin/contract side for the tools committee.

Lou

---

From: Michael Richardson <[email-masked]>
Date: Thu, 30 Nov 2017 13:04:07 -0500

> committee that manages the admin/contract side for the tools committee.

That's an important clarification, and thanks for pointing it out.
Often it's not what you don't know ("known unknowns"), but the things you
thought you knew, but it turns out you didn't that become problems

That's not what nomcoms' I was involved with before had understood, so I'm
glad that it's clearer now.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 1 Dec 2017 15:48:42 +1300

On 01/12/2017 05:45, Michael Richardson wrote:
>> The IASA 2.0 effort is discussing the *future* of IASA and the
>> IAOC. That isn't my concern here, and there's a mailing list for
>> it (https://www.ietf.org/mailman/listinfo/iasa20).
> 
>> What I'm concerned about is that fact that a couple of *current*
>> IAOC slots are up for appointment shortly (by NomCom and IESG
>> respectively), with several fine candidates in each case.
> 
>> All I'm asking is that in their considerations, the appointing
>> bodies keep in mind the definition of the IAOC's role:
> 
> 2) despite this definition, a bunch of new things have shown up for
> the IAOC, and that now includes: * IETF Trust supervision

Well, IETF Trust *membership*, not supervision. As an editor of RFC 4371,
I'm unlikely to forget that. But like the original IAOC role, it was
clearly intended to be a "Board" level of activity, not an executive
function. That's all I'm saying, and all I want to say on this list.

    Brian

> * Tools cmte: managing contractors * something else I forgot.
> 
> Reading the reports from the IAD is still a major part; but some
> things have devolved elsewhere.  Also the IAD doesn't necessarily
> have the right skill set to figure out technical issues that come
> from contractors. Also, financial repors, while puck-handled by the
> IAD have been provided by an ISOC resource until September, and now
> are done by AMSL under contract.
> 
> So your advice that to pay attention to the IAD oversight misses the
> other kinds of oversight that now also occurs.
> 
> Note: I've told the IESG that I won't be IAOC chair, and to pick
> someone else if they need an IAOC chair}
> 
> -- ]               Never tell me the odds!                 | ipv6
> mesh networks [ ]   Michael Richardson, Sandelman Software Works
> | network architect  [ ]     [email-masked]
> http://www.sandelman.ca/        |   ruby on rails    [
>